Bug 18602 - Real Servers running on different port numbers
Summary: Real Servers running on different port numbers
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat High Availability Server
Classification: Retired
Component: piranha   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Phil Copeland
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-07 14:04 UTC by Pietro Ravasio
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-16 17:40:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2000-10-07 14:04:12 UTC
Hi,

I would like to suggest you two (IMHO) useful enhancements for piranha:

1) it would be very useful to be able to create real servers running on 
different port numbers: in this moment one can only specify port number in 
virtual server definition, it would be more useful to be able to specify 
port number in real server definition (so one could run a number of "x 
servers" listening on different ports on the same IP number). This is 
already possible with ipvsadm (to translate ip:port_number to 
different_ip:different_port_number), so I think it could be quite easy to 
realize!

2) Wouldn't it be wonderful if one could specify a script to be run on LVS 
servers each time one of them becomes active or standby? something very 
similar to "start_cmd" and "stop_cmd" in fos services...
This way, one could do a lot of stuff, such as "ifupping" and "arping" a 
lot of interfaces when an LVS becomes active! (and viceversa)
It would be very usefult to be able to read "LVS" status someore too, 
maybe /proc?
I really need to enable/disable more than two (nat_router + 
virtual_servers ips) types of aliased ip, and I think this could be the 
easiest way to realize it!

Kind Regards,
Pietro Ravasio

Comment 1 Red Hat Bugzilla 2000-10-16 17:40:42 UTC
Thanks forthe input. Actually, we hope to be able to add scripting to any state
change in the cluster, for the very reasons you suggest.


Note You need to log in before you can comment on or make changes to this bug.